/**
 * @file
 * This file provides access to Alljoyn library version and build information.
 */

/******************************************************************************
 * Copyright AllSeen Alliance. All rights reserved.
 *
 *    Permission to use, copy, modify, and/or distribute this software for any
 *    purpose with or without fee is hereby granted, provided that the above
 *    copyright notice and this permission notice appear in all copies.
 *
 *    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 *    WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 *    MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 *    ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 *    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 *    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 *    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 ******************************************************************************/

#include "alljoyn/version.h"

static const unsigned int year = 15;
static const unsigned int month = 4;
static const unsigned int feature = 0; /* feature is always 0 for core. */
static const unsigned int bugfix = 'b';

static const char version[] = "##VERSION_STRING##";
static const char build[] = "AllJoyn Library ##BUILD_STRING##";

const char* AJ_CALL ajn::GetVersion()
{
    return version;
}

const char* AJ_CALL ajn::GetBuildInfo()
{
    return build;
}

uint32_t AJ_CALL ajn::GetNumericVersion()
{
    return GenerateNumericVersionValue(year, month, feature, bugfix);
}
